- block:
  - name: remove ipvlan swarm network voip_public
    community.docker.docker_network:
      name: voip_public
      state: absent
    run_once: yes
    delegate_to: "{{ main_server }}"
    
  - name: remove ipvlan swarm network config_voip_public
    community.docker.docker_network:
      name: config_voip_public
      state: absent

  - name: create config ipvlan network config_voip_public
    ansible.builtin.import_role:
      name: ipvlan
      tasks_from: config
    vars:  
      ipvlan_config_netname: config_voip_public
      ipvlan_config_subnet: "{{ voip_options.network }}"
      ipvlan_config_iprange: "{{ voip_options.dummy_ip_range }}"
      ipvlan_config_gateway: "{{ voip_options.gateway | d('') }}"
      ipvlan_config_interface: "{{ voip_options.interface | d('') }}"

  - name: create ipvlan swarm network voip_public
    ansible.builtin.import_role:
      name: ipvlan
      tasks_from: swarm
    vars:
      ipvlan_config_netname: config_voip_public
      ipvlan_swarm_netname: voip_public
      ipvlan_swarm_internal: "{{ not (voip_options.gateway | d('') != '' or voip_default_route | d('') != '') }}"
    run_once: yes
    delegate_to: "{{ main_server }}"

- block:
  - name: set IPVLAN_ASTERISK_IP in factory.env
    ansible.builtin.lineinfile:
      state: present
      path: "{{ globals.factory_env }}"
      regex: "^IPVLAN_ASTERISK_IP="
      line: IPVLAN_ASTERISK_IP={{ voip_options.asterisk_ip }}
  
  - name: set IPVLAN_PROVD_IP in factory.env
    ansible.builtin.lineinfile:  
      state: present
      path: "{{ globals.factory_env }}"
      regex: "^IPVLAN_PROVD_IP="
      line: IPVLAN_PROVD_IP={{ voip_options.provd_ip }}

  - name: set PROVD_EXTERNAL_IP in factory.env
    ansible.builtin.lineinfile:  
      state: present
      path: "{{ globals.factory_env }}"
      regex: "^PROVD_EXTERNAL_IP="
      line: PROVD_EXTERNAL_IP={{ voip_options.provd_ip }}

  
  run_once: yes
  delegate_to: "{{ main_server }}"
